PostgreSQL 8.4.7 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# CHECKPOINT

## Name

CHECKPOINT -- force a transaction log checkpoint

## Synopsis

    CHECKPOINT

## Description

Write-Ahead Logging (WAL) puts a checkpoint in the transaction log every so often. (To adjust the automatic checkpoint interval, see the run-time configuration options checkpoint_segments and checkpoint_timeout.) The `CHECKPOINT` command forces an immediate checkpoint when the command is issued, without waiting for a scheduled checkpoint.

A checkpoint is a point in the transaction log sequence at which all data files have been updated to reflect the information in the log. All data files will be flushed to disk. Refer to Chapter 28 for more information about the WAL system.

Only superusers can call `CHECKPOINT`. The command is not intended for use during normal operation.

## Compatibility

The `CHECKPOINT` command is a PostgreSQL language extension.

Prev | Home | Next
BEGIN | Up | CLOSE